## GLDraw

Lower level utilities for creating WebGL shape geometries.
These are not intended for general consumption.

View Source GLDraw.ts, line 24

# Methods

#### # static drawCone(geo, from, to, radius, color)

Create a cone

##### Parameters:

Name | Type | Description
--- | --- | ---
`geo` | `geometry` |
`from` | `Point` |
`to` | `Point` |
`radius` | `float` |
`color` | `Color` |

View Source GLDraw.ts, line 469

#### # static drawCylinder(geo, from, to, radius, color, fromCap, toCap)

Create a cylinder

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`geo` | `geometry` |  |
`from` | `Point` |  |
`to` | `Point` |  |
`radius` | `float` |  |
`color` | `Color` |  |
`fromCap` | `CAP` | 0 | 0 for none, 1 for flat, 2 for round
`toCap` | `CAP` | 0 | = 0 for none, 1 for flat, 2 for round

View Source GLDraw.ts, line 233

#### # static drawSphere(geo, pos, radius, color, quality)

Create a sphere.

##### Parameters:

Name | Type | Description
--- | --- | ---
`geo` | `geometry` |
`pos` | `Point` |
`radius` | `float` |
`color` | `Color` |
`quality` | `number` | of sphere (default 2, higher increases number of triangles)

View Source GLDraw.ts, line 618